From 4594f5547e768ccfdd51db94dd2351b7b4613284 Mon Sep 17 00:00:00 2001
From: piotr <nwg.piotr@gmail.com>
Date: Wed, 3 Jul 2019 02:17:47 +0200
Subject: [PATCH 1/2] New package: python3-i3ipc-1.7.1

---
 srcpkgs/python3-i3ipc/template | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)
 create mode 100644 srcpkgs/python3-i3ipc/template

diff --git a/srcpkgs/python3-i3ipc/template b/srcpkgs/python3-i3ipc/template
new file mode 100644
index 00000000000..03dd9cc209c
--- /dev/null
+++ b/srcpkgs/python3-i3ipc/template
@@ -0,0 +1,22 @@
+# Template file for 'python3-i3ipc'
+pkgname=python3-i3ipc
+version=1.7.1
+revision=1
+archs=noarch
+wrksrc="i3ipc-python-${version}"
+build_style=python3-module
+pycompile_module="python3-i3ipc"
+hostmakedepends="python3-setuptools"
+depends="python3 python3-setuptools"
+short_desc="Improved Python library to control i3wm"
+maintainer="Piotr Miller <nwg.piotr@gmail.com>"
+license="BSD-3-Clause"
+homepage="https://github.com/acrisci/i3ipc-python"
+distfiles="${homepage}/archive/v${version}.tar.gz"
+checksum=b13f4013941e8252988e63d9b7528ba278e4af6edbce031936c5877187fc4d8c
+
+post_install() {
+	vmkdir usr/share/doc/${pkgname}/examples
+	vcopy "examples/*.py" usr/share/doc/${pkgname}/examples
+	vlicense LICENSE
+}

From c5016d9257d636761bea720cb786c881dc7e5548 Mon Sep 17 00:00:00 2001
From: piotr <nwg.piotr@gmail.com>
Date: Wed, 3 Jul 2019 23:48:21 +0200
Subject: [PATCH 2/2] New package: python3-i3ipc-1.7.1

---
 srcpkgs/python3-i3ipc/template | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-i3ipc/template b/srcpkgs/python3-i3ipc/template
index 03dd9cc209c..46fd3e17655 100644
--- a/srcpkgs/python3-i3ipc/template
+++ b/srcpkgs/python3-i3ipc/template
@@ -5,9 +5,9 @@ revision=1
 archs=noarch
 wrksrc="i3ipc-python-${version}"
 build_style=python3-module
-pycompile_module="python3-i3ipc"
+pycompile_module="i3ipc"
 hostmakedepends="python3-setuptools"
-depends="python3 python3-setuptools"
+depends="python3"
 short_desc="Improved Python library to control i3wm"
 maintainer="Piotr Miller <nwg.piotr@gmail.com>"
 license="BSD-3-Clause"
@@ -16,7 +16,5 @@ distfiles="${homepage}/archive/v${version}.tar.gz"
 checksum=b13f4013941e8252988e63d9b7528ba278e4af6edbce031936c5877187fc4d8c
 
 post_install() {
-	vmkdir usr/share/doc/${pkgname}/examples
-	vcopy "examples/*.py" usr/share/doc/${pkgname}/examples
 	vlicense LICENSE
 }
